library verilog;
use verilog.vl_types.all;
entity synDelayWithEnable_1s_21s_1s is
    generic(
        bitwidth        : integer := 21;
        delaylength     : integer := 1
    );
    port(
        N_10            : out    vl_logic_vector(20 downto 5);
        N_8             : in     vl_logic_vector(2 downto 0);
        tmpOutPre       : in     vl_logic_vector(20 downto 8);
        GlobalEnable1   : in     vl_logic;
        GlobalReset     : in     vl_logic;
        clk             : in     vl_logic
    );
end synDelayWithEnable_1s_21s_1s;
